# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_DataMapIteratorOfLabelIDMapDataMap Class Reference

`#include <TDocStd_DataMapIteratorOfLabelIDMapDataMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDocStd_DataMapIteratorOfLabelIDMapDataMap ()
Standard_EXPORT | TDocStd_DataMapIteratorOfLabelIDMapDataMap (const TDocStd_LabelIDMapDataMap &aMap)
Standard_EXPORT void | Initialize (const TDocStd_LabelIDMapDataMap &aMap)
Standard_EXPORT const TDF_Label & | Key () const
Standard_EXPORT const TDF_IDMap & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_DataMapIteratorOfLabelIDMapDataMap::TDocStd_DataMapIteratorOfLabelIDMapDataMap | ( |  | ) |

Standard_EXPORT TDocStd_DataMapIteratorOfLabelIDMapDataMap::TDocStd_DataMapIteratorOfLabelIDMapDataMap | ( | const TDocStd_LabelIDMapDataMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDocStd_DataMapIteratorOfLabelIDMapDataMap::Initialize | ( | const TDocStd_LabelIDMapDataMap & | aMap | ) |

Standard_EXPORT const TDF_Label& TDocStd_DataMapIteratorOfLabelIDMapDataMap::Key | ( |  | ) | const

void TDocStd_DataMapIteratorOfLabelIDMapDataMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDocStd_DataMapIteratorOfLabelIDMapDataMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDocStd_DataMapIteratorOfLabelIDMapDataMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TDF_IDMap& TDocStd_DataMapIteratorOfLabelIDMapDataMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDocStd_DataMapIteratorOfLabelIDMapDataMap.hxx